:root {
	--sidebar-width: 220px;
	--sidebar-compact: 124px;
	--bar-width: 50px;
	--padding: 20px;
	--padding-m: 8px;
	--margin-nav: 31px;
	--margin-fab: 32px;
	--sb-h: 296;
	--sb-s: 60%;
	--sb-l: 13%;
}

#backdrop {
	z-index: 201;
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: auto;
	background-color: rgba(0,0,0,0.75);
}
#backdrop.on {
	right: 0;
}

#btnOff {
	position: absolute;
	right: 0;
	top: 0;
}

#btnBar {
	position: absolute;
	right: 0;
	top: 0;
}

#sidebar1 {
	z-index: 215;
	font-size: initial;
	text-align: left;
	padding-left: var(--padding-m);
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	width: var(--bar-width);
	display: none;
	--sb-l: 9%;
	background-color: hsl(var(--sb-h),var(--sb-s),var(--sb-l));
	color: #fff;
	transition: all 0.3s;
}
#sidebar1 .btn {
	box-shadow: none;
	border: none;
	padding: 2px;
}
#sidebar1 ul > li {
	padding: 6px 0;
}
#sidebar1 ul li.active {
	background: hsl(var(--sb-h),var(--sb-s),30%);
}
@media (min-width:768px) {
	#sidebar1 {
		display: block;
	}
}
@media (min-width:992px) {
	#sidebar1 {
		display: none;
	}
	#sidebar1.compact {
		display: block;
	}
}

#sidebar {
	z-index: 210;
	font-size: initial;
	text-align: initial;
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	width: 0;
	overflow-y: auto;
	background: hsl(var(--sb-h),var(--sb-s),var(--sb-l));
	color: #fff;
	transition: all 0.3s;
}
#sidebar.on {
	width: var(--sidebar-width);
	transition: all 0.3s;
}
#sidebar a {
	color: inherit;
	text-decoration: none;
	transition: all 0.3s;
}
#sidebar a[data-bs-toggle="collapse"] {
	position: relative;
	display: block;
}
#sidebar .dropdown-toggle::after {
	display: inline-block;
	position: absolute;
	top: 50%;
	right: 16px;
}
#sidebar .sidebar-header {
	padding: var(--padding-m);
	background: hsl(var(--sb-h),var(--sb-s),9%);
}
#sidebar ul.components {
	padding: calc(var(--padding-m)/2) 0;
	border-bottom: 1px solid hsl(var(--sb-h),var(--sb-s),25%)
}
#sidebar ul p {
	font-size: 1.1em;
	font-weight: 300;
	line-height: 1.7em;
	padding: calc(var(--padding-m)/2);
}
#sidebar ul li a {
	padding: calc(var(--padding)/2);
	font-size: 1em;
	display: block;
}
#sidebar ul li a:hover {
	color: #eee;
	background: hsl(var(--sb-h),var(--sb-s),40%);
}
#sidebar ul li.active > a {
	color: #fff;
	background: hsl(var(--sb-h),var(--sb-s),30%);
}
#sidebar ul a {
	font-size: 0.9em !important;
	padding-left: calc(var(--padding-m)*1.5) !important;
}
@media (min-width:768px) {
	#sidebar {
		width: 0;
	}
}
@media (min-width:992px) {
	#sidebar {
		font-size: initial;
		width: var(--sidebar-width);
	}
	#sidebar.compact {
		width: 0;
	}
	#sidebar ul.components {
		padding: calc(var(--padding)/2);
	}
	#sidebar ul p {
		padding: calc(var(--padding)/2);
	}
	#sidebar ul li a {
		padding: calc(var(--padding)/2);
	}
	#sidebar ul a {
		padding-left: calc(var(--padding)*1.5) !important;
	}
}

#navbar {
	height: var(--margin-nav);
	z-index: 205 !important;
	--sb-s: 9%;
	background-color: hsl(var(--sb-h),var(--sb-s),var(--sb-l));
}

#content {
	margin-left: 0;
	margin-top: var(--margin-nav);
}
@media (min-width:768px) {
	#content {
		margin-left: var(--bar-width);
		margin-top: 0;
	}
}
@media (min-width:992px) {
	#content {
		margin-left: var(--sidebar-width);
	}

	#content.compact {
		margin-left: var(--bar-width);
	}
}
